camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] Commented: (CAMEL-3228) Upgrade to dozer 5.3.0
Date Thu, 28 Oct 2010 09:02:00 GMT

    [ https://issues.apache.org/activemq/browse/CAMEL-3228?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=62887#action_62887
] 

Claus Ibsen commented on CAMEL-3228:
------------------------------------

It wont make it in Camel 2.5. But sure for Camel 2.6 it will.

And this is only an issue when using OSGi. So people with Camel 2.5 can use Dozer.
And people in OSGi can upgrade to Dozer 5.3.1 to get a bit further ahead. Only the last piece
of classloading their mapping files may require a bit of OSGi configuration trouble to get
working.

If Dozer offers the SPI for Camel to leverage later one then it should work out of the box
for the end user when using Camel and Dozer.

If you look at, and see the method - loadMappings
https://svn.apache.org/repos/asf/camel/trunk/components/camel-dozer/src/main/java/org/apache/camel/converter/dozer/DozerTypeConverterLoader.java

You can see we use the Camel ClassResolver.

Its just that I think {{DozerBeanMapper}} is not having such a SPI for 3rd party to leverage
for classloading pain


> Upgrade to dozer 5.3.0
> ----------------------
>
>                 Key: CAMEL-3228
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-3228
>             Project: Apache Camel
>          Issue Type: Improvement
>            Reporter: Dmitry Buzdin
>            Assignee: Claus Ibsen
>             Fix For: 2.6.0
>
>         Attachments: CAMEL-3228_-_Upgrade_to_Dozer_5_3_0_.patch, dozer-osgi-5.3.0.jar,
pom.xml
>
>   Original Estimate: 6 hours
>  Remaining Estimate: 6 hours
>
> Dozer 5.3.0 has been released. It has changes in internal API, which make usage of dozer-camel
impossible with the most recent version.
> As Dozer maintainer I could contribute a patch upgrading camel-dozer module to use 5.3.0.


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message